package com.ruoyi.project.VRdemo.controller;

import java.util.HashMap;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.framework.web.controller.BaseController;
import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.VRdemo.domain.VisitTimes;
import com.ruoyi.project.VRdemo.service.IVisitTimesService;

@RestController
@RequestMapping("/vr/visitTimes")
public class VisitTimesController extends BaseController{
    
    private final IVisitTimesService visitTimesService;

    public VisitTimesController(@Autowired IVisitTimesService visitTimesService) {
        this.visitTimesService = visitTimesService;
    }

    @PostMapping("/getVisitTimes")
    public AjaxResult getVisitTimes(@RequestBody JSONObject jsonObject) {
        HashMap<String, Object> requestMap = jsonObject;
        if (requestMap.get("begin") == null || requestMap.get("end") == null) {
            return AjaxResult.error("参数错误");
        }
        int begin = (int) requestMap.get("begin");
        int end = (int) requestMap.get("end");
        List<VisitTimes> visitTimesList = visitTimesService.getVisitTimes(begin, end);
        HashMap<String, Object> resultMap = new HashMap<>();
        int totalVisitTimes = visitTimesService.getSum(0, Integer.MAX_VALUE);
        resultMap.put("totalVisitTimes", totalVisitTimes);
        resultMap.put("visitTimesList", visitTimesList);
        return AjaxResult.success("查询成功", resultMap);
    }
}
