package com.ruoyi.project.VRdemo.domain;

import com.ruoyi.common.utils.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 博雅集南洋资讯检索对象 vr_consultation
 *
 * @author ruoyi
 * @date 2024-09-26
 */
public class Consultation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 所属区
     */
    @Excel(name = "所属区")
    private String affiliation;

    /**
     * 所属地
     */
    @Excel(name = "所属地")
    private String location;

    /**
     * 机构中文名
     */
    @Excel(name = "机构中文名")
    private String chineseName;

    /**
     * 机构英文名
     */
    @Excel(name = "机构英文名")
    private String englishName;

    /**
     * 机构访问地址
     */
    @Excel(name = "机构访问地址")
    private String link;

    /**
     * 机构介绍
     */
    @Excel(name = "机构介绍")
    private String introduce;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Integer sort;

    public Consultation() {
    }

    public String getTitle() {
        return StringUtils.isEmpty(chineseName) ? englishName : chineseName;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public String getAffiliation() {
        return affiliation;
    }

    public void setAffiliation(String affiliation) {
        this.affiliation = affiliation;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public void setChineseName(String chineseName) {
        this.chineseName = chineseName;
    }

    public String getChineseName() {
        return chineseName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getLink() {
        return link;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public String getIntroduce() {
        return introduce;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("affiliation", getAffiliation())
                .append("location", getLocation())
                .append("chineseName", getChineseName())
                .append("englishName", getEnglishName())
                .append("link", getLink())
                .append("introduce", getIntroduce())
                .append("sort", getSort())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .toString();
    }
}
