package com.ruoyi.project.VRdemo.domain;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * press对象 vr_press
 *
 * @author ruoyi
 * @date 2024-01-19
 */
public class Press extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 自增id
     */
    @ExcelIgnore
    private Long pressId;

    /**
     * 题目
     */
    @ExcelProperty("题目")
    private String title;

    /**
     * 作者
     */
    @ExcelProperty("作者")
    private String author;

    /**
     * 刊名
     */
    @ExcelProperty("刊名")
    private String pressTitle;

    private String press_title;

    /**
     * 年份
     */
    @JsonFormat(pattern = "yyyy")
    @ExcelProperty("年份")
    private Date date;

    /**
     * 刊期
     */
    @ExcelProperty("刊期")
    private String issue;

    /**
     * 起止页
     */
    @ExcelProperty("起止页")
    private String pages;

    /**
     * 关键词
     */
    @ExcelProperty("关键词")
    private String keyword;

    /**
     * 分类
     */
    @ExcelProperty("分类")
    private String classify;

    /**
     * 地区
     */
    @ExcelProperty("地区")
    private String area;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Integer sort;

    public Long getPressId() {
        return pressId;
    }

    public void setPressId(Long pressId) {
        this.pressId = pressId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getPressTitle() {
        return pressTitle;
    }

    public void setPressTitle(String pressTitle) {
        this.pressTitle = pressTitle;
    }

    public String getPress_title() {
        return press_title;
    }

    public void setPress_title(String press_title) {
        this.press_title = press_title;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getIssue() {
        return issue;
    }

    public void setIssue(String issue) {
        this.issue = issue;
    }

    public String getPages() {
        return pages;
    }

    public void setPages(String pages) {
        this.pages = pages;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("pressId", getPressId())
                .append("title", getTitle())
                .append("author", getAuthor())
                .append("pressTitle", getPressTitle())
                .append("date", getDate())
                .append("issue", getIssue())
                .append("pages", getPages())
                .append("keyword", getKeyword())
                .append("classify", getClassify())
                .append("area", getArea())
                .append("sort", getSort())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
