package com.ruoyi.project.VRdemo.domain.imData;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.utils.excel.DataConverter;
import com.ruoyi.project.VRdemo.domain.Consultation;

public class ConsultationImData implements BaseImData<ConsultationImData, Consultation> {

    @ExcelProperty("序号")
    private Long id;

    @ExcelProperty("所属区")
    private String affiliation;

    @ExcelProperty("所属地")
    private String location;

    @ExcelProperty("机构中文名")
    private String chineseName;

    @ExcelProperty("机构英文名")
    private String englishName;

    @ExcelProperty("机构访问地址")
    private String link;

    @ExcelProperty("机构介绍")
    private String introduce;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelIgnore
    DataConverter<ConsultationImData, Consultation> converter = new DataConverter<ConsultationImData, Consultation>() {
        @Override
        protected Consultation convert(ConsultationImData consultationImData) {
            Consultation consultation = new Consultation();
            consultation.setId(consultationImData.getId());
            consultation.setAffiliation(consultationImData.getAffiliation());
            consultation.setLocation(consultationImData.getLocation());
            consultation.setChineseName(consultationImData.getChineseName());
            consultation.setEnglishName(consultationImData.getEnglishName());
            consultation.setLink(consultationImData.getLink());
            consultation.setIntroduce(consultationImData.getIntroduce());
            consultation.setSort(consultationImData.getSort());
            return consultation;
        }
    };

    @Override
    public DataConverter<ConsultationImData, Consultation> getConverter() {
        return converter;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getAffiliation() {
        return affiliation;
    }

    public void setAffiliation(String affiliation) {
        this.affiliation = affiliation;
    }

    public void setChineseName(String chineseName) {
        this.chineseName = chineseName;
    }

    public String getChineseName() {
        return chineseName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getLink() {
        return link;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public String getIntroduce() {
        return introduce;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
