package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.LibraryMenu;

/**
 * 南洋数字图书馆菜单管理Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-01
 */
public interface LibraryMenuMapper {

    /**
     * 查询南洋数字图书馆菜单管理列表
     *
     * @param libraryMenu 南洋数字图书馆菜单管理
     * @return 南洋数字图书馆菜单管理集合
     */
    List<LibraryMenu> selectLibraryMenuList(LibraryMenu libraryMenu);

    /**
     * 通过父id查询南洋数字图书馆菜单管理子列表
     *
     * @return 南洋数字图书馆菜单管理集合
     */
    List<LibraryMenu> selectChildMenuListById(Long id);

    /**
     * 查询南洋数字图书馆菜单管理
     *
     * @param id 南洋数字图书馆菜单管理主键
     * @return 南洋数字图书馆菜单管理
     */
    LibraryMenu selectLibraryMenuById(Long id);

    /**
     * 通过模块名查询南洋数字图书馆菜单管理
     *
     * @return 南洋数字图书馆菜单管理
     */
    LibraryMenu selectLibraryMenuByModule(String module);

    /**
     * 新增南洋数字图书馆菜单管理
     *
     * @param libraryMenu 南洋数字图书馆菜单管理
     * @return 结果
     */
    int insertLibraryMenu(LibraryMenu libraryMenu);

    /**
     * 修改南洋数字图书馆菜单管理
     *
     * @param libraryMenu 南洋数字图书馆菜单管理
     * @return 结果
     */
    int updateLibraryMenu(LibraryMenu libraryMenu);

    /**
     * 删除南洋数字图书馆菜单管理
     *
     * @param id 南洋数字图书馆菜单管理主键
     * @return 结果
     */
    int deleteLibraryMenuById(Long id);

    /**
     * 批量删除南洋数字图书馆菜单管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLibraryMenuByIds(Long[] ids);
}
