package com.ruoyi.project.VRdemo.mapper;

import java.util.List;

import com.ruoyi.project.VRdemo.domain.SpecialCollection;

/**
 * 东南亚大型特藏Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-06
 */
public interface SpecialCollectionMapper {

    /**
     * 查询东南亚大型特藏
     *
     * @param id 东南亚大型特藏主键
     * @return 东南亚大型特藏
     */
    SpecialCollection selectCollectionById(Long id);

    /**
     * 根据链接查询
     */
    SpecialCollection selectCollectionByTitle(String title);

    /**
     * 查询东南亚大型特藏列表
     *
     * @param specialCollection 东南亚大型特藏
     * @return 东南亚大型特藏集合
     */
    List<SpecialCollection> selectCollectionList(SpecialCollection specialCollection);

    /**
     * 新增东南亚大型特藏
     *
     * @param specialCollection 东南亚大型特藏
     * @return 结果
     */
    int insertCollection(SpecialCollection specialCollection);

    /**
     * 批量插入数据
     */
    int insertCollectionDataList(List<SpecialCollection> dataList);

    /**
     * 修改东南亚大型特藏
     *
     * @param specialCollection 东南亚大型特藏
     * @return 结果
     */
    int updateCollection(SpecialCollection specialCollection);

    /**
     * 删除东南亚大型特藏
     *
     * @param id 东南亚大型特藏主键
     * @return 结果
     */
    int deleteCollectionById(Long id);

    /**
     * 批量删除东南亚大型特藏
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCollectionByIds(Long[] ids);

}
