package com.ruoyi.project.VRdemo.service;

import java.util.HashMap;
import java.util.List;

import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.VRdemo.domain.Consultation;

/**
 * 博雅集南洋资讯检索Service接口
 *
 * @author ruoyi
 * @date 2024-09-26
 */
public interface IConsultationService {

    /**
     * 查询博雅集南洋资讯检索
     *
     * @param id 博雅集南洋资讯检索主键
     * @return 博雅集南洋资讯检索
     */
    Consultation selectConsultationById(Long id);

    /**
     * 查询博雅集南洋资讯检索列表
     *
     * @param consultation 博雅集南洋资讯检索
     * @return 博雅集南洋资讯检索集合
     */
    List<Consultation> selectConsultationList(Consultation consultation);

    /**
     * 根据所属区查询博雅集南洋资讯检索列表
     *
     * @param consultation 博雅集南洋资讯检索
     * @return 博雅集南洋资讯检索集合
     */
    List<HashMap<String, List<Consultation>>> selectConsultationListByMenu(Consultation consultation);

    /**
     * 新增博雅集南洋资讯检索
     *
     * @param consultation 博雅集南洋资讯检索
     * @return 结果
     */
    int insertConsultation(Consultation consultation);

    /**
     * 导入数据
     */
    String importData(List<Consultation> dataList, boolean updateSupport);

    /**
     * 修改博雅集南洋资讯检索
     *
     * @param consultation 博雅集南洋资讯检索
     * @return 结果
     */
    int updateConsultation(Consultation consultation);

    /**
     * 批量删除博雅集南洋资讯检索
     *
     * @param ids 需要删除的博雅集南洋资讯检索主键集合
     * @return 结果
     */
    int deleteConsultationByIds(Long[] ids);

    /**
     * 删除博雅集南洋资讯检索信息
     *
     * @param id 博雅集南洋资讯检索主键
     * @return 结果
     */
    int deleteConsultationById(Long id);

}
