package com.ruoyi.project.VRdemo.service;

import java.util.HashMap;
import java.util.List;

import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.VRdemo.domain.Institution;

/**
 * 博雅集东南亚研究机构Service接口
 *
 * @author ruoyi
 * @date 2024-09-26
 */
public interface IInstitutionService {

    /**
     * 查询博雅集东南亚研究机构
     *
     * @param id 博雅集东南亚研究机构主键
     * @return 博雅集东南亚研究机构
     */
    Institution selectInstitutionById(Long id);

    /**
     * 查询博雅集东南亚研究机构列表
     *
     * @param institution 博雅集东南亚研究机构
     * @return 博雅集东南亚研究机构集合
     */
    List<Institution> selectInstitutionList(Institution institution);

    /**
     * 根据菜单查询博雅集东南亚研究机构列表
     *
     * @param institution 博雅集东南亚研究机构
     * @return 博雅集东南亚研究机构集合
     */
    List<HashMap<String, List<Institution>>>  selectInstitutionListByMenu(Institution institution);

    /**
     * 新增博雅集东南亚研究机构
     *
     * @param institution 博雅集东南亚研究机构
     * @return 结果
     */
    int insertInstitution(Institution institution);

    /**
     * 导入数据
     */
    String importData(List<Institution> dataList, boolean updateSupport);

    /**
     * 修改博雅集东南亚研究机构
     *
     * @param institution 博雅集东南亚研究机构
     * @return 结果
     */
    int updateInstitution(Institution institution);

    /**
     * 批量删除博雅集东南亚研究机构
     *
     * @param ids 需要删除的博雅集东南亚研究机构主键集合
     * @return 结果
     */
    int deleteInstitutionByIds(Long[] ids);

    /**
     * 删除博雅集东南亚研究机构信息
     *
     * @param id 博雅集东南亚研究机构主键
     * @return 结果
     */
    int deleteInstitutionById(Long id);

}
