package com.ruoyi.project.VRdemo.service;

import java.util.HashMap;
import java.util.List;

import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.VRdemo.domain.Publication;

/**
 * 东南亚连续出版物Service接口
 *
 * @author ruoyi
 * @date 2024-10-06
 */
public interface IPublicationService {

    /**
     * 查询东南亚连续出版物
     *
     * @param id 东南亚连续出版物主键
     * @return 东南亚连续出版物
     */
    Publication selectPublicationById(Long id);

    /**
     * 查询东南亚连续出版物列表
     *
     * @param publication 东南亚连续出版物
     * @return 东南亚连续出版物集合
     */
    List<Publication> selectPublicationList(Publication publication);

    /**
     * 根据菜单查询东南亚连续出版物列表
     *
     * @param publication 东南亚连续出版物
     * @return 东南亚连续出版物集合
     */
    List<HashMap<String, List<Publication>>>  selectPublicationListByMenu(Publication publication);

    /**
     * 新增东南亚连续出版物
     *
     * @param publication 东南亚连续出版物
     * @return 结果
     */
    int insertPublication(Publication publication);

    /**
     * 导入数据
     *
     * @param dataList      导入数据列表
     * @param updateSupport 是否更新已经存在的数据
     * @return 结果
     */
    String importData(List<Publication> dataList, boolean updateSupport);

    /**
     * 修改东南亚连续出版物
     *
     * @param publication 东南亚连续出版物
     * @return 结果
     */
    int updatePublication(Publication publication);

    /**
     * 批量删除东南亚连续出版物
     *
     * @param ids 需要删除的东南亚连续出版物主键集合
     * @return 结果
     */
    int deletePublicationByIds(Long[] ids);

    /**
     * 删除东南亚连续出版物信息
     *
     * @param id 东南亚连续出版物主键
     * @return 结果
     */
    int deletePublicationById(Long id);
}
