package com.ruoyi.project.VRdemo.service;

import java.util.HashMap;
import java.util.List;

import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.VRdemo.domain.RegionDevelop;

/**
 * 东南亚地区发展报告Service接口
 *
 * @author ruoyi
 * @date 2024-10-30
 */
public interface IRegionDevelopService {

    /**
     * 查询东南亚地区发展报告
     *
     * @param id 东南亚地区发展报告主键
     * @return 东南亚地区发展报告
     */
    RegionDevelop selectRegionDevelopById(Long id);

    /**
     * 查询东南亚地区发展报告列表
     *
     * @param regionDevelop 东南亚地区发展报告
     * @return 东南亚地区发展报告集合
     */
    List<RegionDevelop> selectRegionDevelopList(RegionDevelop regionDevelop);

    /**
     *
     * @param regionDevelop 东南亚地区发展报告
     * @return 东南亚地区发展报告集合
     */
    List<HashMap<String, List<RegionDevelop>>>  selectRegionDevelopListByMenu(RegionDevelop regionDevelop);

    /**
     * 新增东南亚地区发展报告
     *
     * @param regionDevelop 东南亚地区发展报告
     * @return 结果
     */
    int insertRegionDevelop(RegionDevelop regionDevelop);

    /**
     * 导入数据
     *
     * @param dataList      导入数据列表
     * @param updateSupport 是否更新已经存在的数据
     * @return 结果
     */
    String importData(List<RegionDevelop> dataList, boolean updateSupport);

    /**
     * 修改东南亚地区发展报告
     *
     * @param regionDevelop 东南亚地区发展报告
     * @return 结果
     */
    int updateRegionDevelop(RegionDevelop regionDevelop);

    /**
     * 批量删除东南亚地区发展报告
     *
     * @param ids 需要删除的东南亚地区发展报告主键集合
     * @return 结果
     */
    int deleteRegionDevelopByIds(Long[] ids);

    /**
     * 删除东南亚地区发展报告信息
     *
     * @param id 东南亚地区发展报告主键
     * @return 结果
     */
    int deleteRegionDevelopById(Long id);

    /**
     * 删除文件
     *
     * @param id
     * @return
     */
    boolean deleteFile(Long id);

}
